
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:genetic_blocker')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))

            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
                    let username = entity.getGameProfile().getName();
                    let scoreboard = Utils.server.scoreboard;
					let item = entity.mainHandItem.nbt;
					let power_max = global.power_amount;

					if (item == null) {
					entity.mainHandItem = entity.mainHandItem.withName(Text.yellow("Genetic Blocker").italic(false))
					entity.mainHandItem.nbt.Selected_Power = -1;
					}
					if (item != null) {
						
					let value = item[`Selected_Power`]
					if (value >= 0) {
					entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Genetic.Blocker.Type " + value + "");
					entity.server.runCommandSilent("execute as " + username + " at @s run item replace entity @s weapon.mainhand with minecraft:air");
						}
					}
				}
            });
    });